API Reference for Marketo Engage

Update File Content

POST /rest/asset/v1/file/{id}/content.json

Replaces the current content of the file with the included payload.

Operation ID
updateContentUsingPOST
Permissions
Read-Write Assets
Request format
multipart/form-data
Returns
ResponseOfFileResponse

Parameters

Path 1

id integer (int32) required

Id for file in database

Request body

multipart/form-data · required · UpdateFileContentRequest · 2 properties

Sent as multipart form fields, one part per property. Upload fields take a file.

file string required

Multipart file. Content of the file.

id integer (int32) required

Id of the file

Responses

200 OK ResponseOfFileResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of FileResponse

Model FileResponse

createdAt string (date-time) required

Datetime when the file was created

description string

Description of the file

folder FileFolder required

JSON representation of parent folder, with members 'id', and 'type' which may be 'Folder' or 'Program'

Model FileFolder

id integer (int32)
name string
type string
id integer (int32) required

Id of the file

mimeType string required

MIME type of the file

name string required

Name of the file

size integer (int32) required

Size of the file in bytes

updatedAt string (date-time) required

Datetime when the file was most recently updated

url string required

Publically accessible URL of the file

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "createdAt": "2026-01-15T10:30:00Z",
      "description": "string",
      "folder": {
        "id": 123,
        "name": "Example name",
        "type": "string"
      },
      "id": 123,
      "mimeType": "string",
      "name": "Example name",
      "size": 123,
      "updatedAt": "2026-01-15T10:30:00Z",
      "url": "https://example.com"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results